<?
/** 
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
 */
error_reporting(E_ALL);
ini_set('display_errors', '1');

define('GoldWebMU',true);
include('config/config.php');
include('includes/function.php');
	$getcontent_url = $server_url . "/checkonline.php";
    $getcontent_data = array(
        'passtransfer'    =>  $passtransfer
    ); 
    
    $CheckOnline_Reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);
?>
<meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<?
echo '<b>Kiểm tra kết nối đến Server</b>';
if(isset($error)) echo "<p><font color='red'><strong>Lỗi</strong> : </font>$error</p>";
echo '<blockquote>';
echo 'Tình trạng: ';

	if (empty($CheckOnline_Reponse)) {
		echo '<font color=red>Không kết nối với Server. $server_url hiện tại : '.$server_url.' .<br>
		Kiểm tra lại <b>$server_url</b> trong file config.php trong phần Web Hosting và đảm bảo phần Web trên Server đang chạy.</font>';
	} elseif($CheckOnline_Reponse == 'Error') {
		echo '<font color=red>Mã so sánh giữa Web và Server không chính xác. Kiểm tra lại <b>$passtransfer</b> trong file config.php trong phần Web Hosting và <b>$transfercode</b> trong file config.php trong phần Web Server</font>';
	} elseif($CheckOnline_Reponse == 'OK') {
		echo '<font color=green><b>Kết nối đến Server thành công</b></font>';
	} elseif($CheckOnline_Reponse == 'Khong co quyen truy cap') {
		echo "<font color=green><b>Chưa cập nhập IP của Hosting trong <i>$list_ip</i> trong file <i>config.php</i> của phần WebServer</b> . Cách tìm IP của Hosting: Bạn vào run/cmd gõ ping domain trang tài khoản của bạn là ra ip thôi chú ý cái này chỉ đúng khi hosting không thông qua firewall nhé</font>";
	} else {
		echo "<font color=red><b>$CheckOnline_Reponse</b></font>";
	}
echo '</blockquote>';
?>